summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2020-05-08 10:46:09 -0700
committerBrian Dolbec <dolsen@gentoo.org>2020-05-08 13:34:14 -0700
commit36f2e0c397ab5dc978fdbceafa26fe9b3af4bd67 (patch)
treec4bffad584c991e26e76d596e8a190036bde98e3
parentdev-python/pypugjs: New pkg, replaces dev-python/pyjade (diff)
downloadgentoo-36f2e0c397ab5dc978fdbceafa26fe9b3af4bd67.tar.gz
gentoo-36f2e0c397ab5dc978fdbceafa26fe9b3af4bd67.tar.bz2
gentoo-36f2e0c397ab5dc978fdbceafa26fe9b3af4bd67.zip
dev-python/txtorcon: Version bump, adds python-3.8
metadata.xml: take maintainership Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Brian Dolbec <dolsen@gentoo.org>
-rw-r--r--dev-python/txtorcon/Manifest1
-rw-r--r--dev-python/txtorcon/metadata.xml5
-rw-r--r--dev-python/txtorcon/txtorcon-20.0.0.ebuild66
3 files changed, 71 insertions, 1 deletions
diff --git a/dev-python/txtorcon/Manifest b/dev-python/txtorcon/Manifest
index f1ba2921530..66fb576d3d3 100644
--- a/dev-python/txtorcon/Manifest
+++ b/dev-python/txtorcon/Manifest
@@ -1 +1,2 @@
DIST txtorcon-0.19.3.tar.gz 265716 BLAKE2B c0778c918689906c1066f714f4c6621f176cc413b0ebbe628201727cb7ae24c8f1b5a8a5a030b5cb48b2cea96e29f2f7bb5a54744e36324a938841b11f44474b SHA512 748e23c25c0b287467e0fa7db6ad69a8af7010957a846141b9360b71af0d279153ff401b85d135e7e66171e81117ebc56406e64e660aeda7dde8cd430d0a7254
+DIST txtorcon-20.0.0.tar.gz 306139 BLAKE2B 54474ef6facf5c54ccc9feed0e8c5b58b3f5356b73290f7d0d488910637e541c2e4d7b8c90470aa561f6bcc202532e153761e9409375d102d9c68473cf34a456 SHA512 4856c86b3eac432b8e2dddec4d4ef3172452d084a5685f90335d366e918e2e80a223a7a31ff78ddb6dff1ddbbfc1e26f6d0ae9fb99bd47d6894cc6dd29365da8
diff --git a/dev-python/txtorcon/metadata.xml b/dev-python/txtorcon/metadata.xml
index cab35514521..8473cc716f8 100644
--- a/dev-python/txtorcon/metadata.xml
+++ b/dev-python/txtorcon/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="project">
+ <email>dolsen@gentoo.org</email>
+ <name>Brian Dolbec</name>
+ </maintainer>
<upstream>
<maintainer>
<email>meejah@meejah.ca</email>
diff --git a/dev-python/txtorcon/txtorcon-20.0.0.ebuild b/dev-python/txtorcon/txtorcon-20.0.0.ebuild
new file mode 100644
index 00000000000..a2baa28dd1c
--- /dev/null
+++ b/dev-python/txtorcon/txtorcon-20.0.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Twisted-based Tor controller client, with state-tracking and config abstractions"
+HOMEPAGE="https://github.com/meejah/txtorcon https://pypi.org/project/txtorcon/ https://txtorcon.readthedocs.org"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/automat[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/incremental[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/twisted-16.0.0[${PYTHON_USEDEP},crypt]
+ >=dev-python/zope-interface-3.6.1[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/automat[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]
+ >=dev-python/zope-interface-3.6.1[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ test? ( dev-python/mock[${PYTHON_USEDEP}] )
+"
+
+PATCHES=(
+ "${FILESDIR}/txtorcon-0.19.3-setup.py-Dontinstallthetests.patch"
+ "${FILESDIR}/txtorcon-0.19.3-Movetestsunderthetxtorconnamespace.patch"
+ "${FILESDIR}/txtorcon-0.19.3-Removeunconditionalexamples.patch"
+)
+
+python_prepare_all() {
+ sed -e "s/^ipaddress.*//" -i requirements.txt || die
+
+ distutils-r1_python_prepare_all
+}
+python_test() {
+ pushd "${TEST_DIR}" > /dev/null || die
+ /usr/bin/trial txtorcon || die "Tests failed with ${EPYTHON}"
+ popd > /dev/null || die
+}
+
+python_compile_all() {
+ use doc && emake -C "${S}/docs" html
+}
+
+python_install_all() {
+ use doc && dohtml -r "${S}/docs/_build/html/"*
+ use examples && dodoc -r "${S}/examples/"
+ distutils-r1_python_install_all
+
+ # delete the dropin.cache so we don't have collisions
+ rm "${D}"/usr/lib*/python*/site-packages/twisted/plugins//dropin.cache || die
+}